%define name    gmfsk
%define summary A Gnome Multimode HF Terminal for Ham Radio
%define version 0.7pre1
%define release %mkrel 1

Summary: 	%summary
Distribution:	PCLinuxOS
Name:		%name
Version:		%version
Release:	%release
License:		GPLv2+
Group:		Sciences/Other/HamRadio
Source0:        http://gmfsk.connect.fi/%{name}-%{version}.tar.gz
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
Patch0:         %{name}-%{version}-gcc.patch
BuildRoot:	%_tmppath/%name-%version-buildroot
URL:		http://gmfsk.connect.fi/
Packager:	Gri6507

BuildRequires:  fftw2-devel, libGConf2-devel, libgnomeui2-devel, hamlib-devel
BuildRequires:  scrollkeeper, gettext, desktop-file-utils
#Requires:       
Requires(pre):  GConf2
Requires(post): GConf2, scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
gmfsk is a terminal program for amateur radio digital communication modes
for GNOME. It supports MFSK, RTTY, THROB, PSK31, MT63 and Hellschreiber
modulations. It is used for keyboard-to-keyboard chatting and not reliable
packet communication.

%prep
%setup -qn %{name}-%{version}
%patch0 -p 1 -b .gccfix
#all files should be utf-8
recode()
{
  iconv -f "$2" -t utf-8 < "$1" > "${1}_"
  mv -f "${1}_" "$1"
}
recode README iso-8859-15

%build
%configure --enable-hamlib
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

#applications shouldn't install fonts
rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts

# no upstream .desktop or icon
%{__mkdir_p} %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}
%{__mkdir_p} %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Comment=%summary
Exec=%{_bindir}/%{name}
Icon=%name
Terminal=false
Type=Application
Categories=Science;X-MandrivaLinux-MoreApplications-Sciences-Other;
EOF

%find_lang %{name}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
%{update_menus}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
%{clean_menus}
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-DOCS README TODO
%{_bindir}/*
%{_datadir}/pixmaps/%name
%{_datadir}/gnome/help/gmfsk
%{_datadir}/omf/gmfsk
%{_iconsdir}
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/gconf/schemas/*

%changelog
* Tue Aug 26 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 0.7pre1-1pclos2007
- Initial release for PCLinuxOS

* Sun Mar 02 2008 Robert 'Bob' Jensen - 0.7-0.5.pre1
- Fix NVR per nirik's request

* Thu Feb 28 2008 Steve Conklin - 0.7-0.pre1.4
- Fix compiler errors
- fixed some desktop file and icon errors

* Tue Feb 26 2008 Robert 'Bob' Jensen - 0.7-0.pre1.3
- Add icon file

* Tue Feb 26 2008 Robert 'Bob' Jensen - 0.7-0.pre1.2
- Add .desktop file

* Sun Dec 09 2007 Sindre Pedersen Bjørdal - 0.7-0.pre1.1
- Initial build
